<?php
/**
 * Template Name: Estimation Page
 *
 * @package WordPress
 * @subpackage Flat Cost Estimation Form
 */
$wpe = WPE_Tools::instance(__FILE__, '1.6.0');
$settings = $wpe->getSettings();
$steps = $wpe->getStepsData();
$items = $wpe->getItemsData();
$fields = $wpe->getFieldsData();

add_action('wp_enqueue_scripts', array($wpe, 'estimation_form_enqueue_scripts'), 10, 1);
add_action('wp_enqueue_scripts', array($wpe, 'estimation_form_enqueue_styles'), 10, 1);


get_header();
?>


<div id="estimation_popup">
    <a id="wpe_close_btn" href="javascript:" onclick="closePopup();"><span class="fui-cross"></span></a>
    <div id="wpe_panel">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div id="startInfos">
                        <h1><?php echo $settings->intro_title; ?></h1>
                        <p>
<?php echo $settings->intro_text; ?>
                        </p>
                    </div>
                    <p>
                        <a href="javascript:" class="btn btn-large btn-primary" id="btnStart"><?php echo $settings->intro_btn; ?></a>
                    </p>
                    <div class="genPrice">
                        <div class="progress">
                            <div class="progress-bar" style="width: 0%;"></div>
                            <div class="progress-bar-price">
                                0 $
                            </div>
                        </div>
                    </div>
                    <!-- /genPrice -->
                    <h2 id="finalText" clas="stepTitle"><?php echo $settings->succeed_text; ?></h2>
                </div>
                <!-- /col -->
            </div>
            <!-- /row -->
        </div>
        <!-- /container -->

        <div id="mainPanel" class="palette-clouds">

            <?php
            $i = 0;

            foreach ($steps as $dataSlide) {
                $required = '';
                if ($dataSlide->itemRequired > 0) {
                    $required = 'data-required="true"';
                }
                echo '<div class="genSlide" data-title="' . $dataSlide->title . '" ' . $required . '>';
                echo '	<h2 class="stepTitle">' . $dataSlide->title . '</h2>';
                echo '	<div class="genContent container">';
                echo '		<div class="row">';
                foreach ($items as $dataItem) {

                    if ($dataItem->stepID == $dataSlide->id) {
                        $chkDisplay = true;
                        $checked = '';
                        $checkedCb = '';
                        $prodID = 0;
                        $itemRequired = '';
                        if ($dataItem->isRequired) {
                            $itemRequired = 'data-required="true"';
                        }
                        if ($dataItem->ischecked == 1) {
                            $checked = 'prechecked';
                            $checkedCb = 'checked';
                        }
                        if ($dataItem->wooProductID > 0) {
                            $prodID = $dataItem->wooProductID;
                            $product = new WC_Product($dataItem->wooProductID);
                            if (!$product) {
                                //$chkDisplay = false;
                            } else {
                                $dataItem->price = $product->price;
                                if ($product->get_stock_quantity() && $product->get_stock_quantity() < $dataItem->quantity_max) {
                                    $dataItem->quantity_max = $product->get_stock_quantity();
                                }
                            }
                        } else if ($settings->save_to_cart) {
                            $chkDisplay = false;
                        }

                        if ($chkDisplay) {
                            if ($dataItem->type == 'picture') {
                                echo '<div class="itemBloc">';
                                $group = '';
                                if ($dataItem->groupitems != "") {
                                    $group = 'data-group="' . $dataItem->groupitems . '"';
                                }
                                echo '<div class="selectable ' . $checked . '" ' . $group . ' data-prodid="' . $prodID . '" data-title="' . $dataItem->title . '" data-toggle="tooltip" title="' . $dataItem->title . '" data-placement="bottom" data-price="' . $dataItem->price . '">';
                                $tint = 'false';
                                if ($dataItem->imageTint) {
                                    $tint = 'true';
                                }
                                echo '<img data-tint="' . $tint . '" src="' . $dataItem->image . '" alt="' . $dataItem->title . '" class="img" />';

                                echo '<span class="palette-clouds fui-cross icon_select"></span>';
                                if ($dataItem->quantity_enabled) {
                                    echo '<div class="quantityBtns" data-max="' . $dataItem->quantity_max . '">
                                            <a href="javascript:" onclick="quantity_less(this);">-</a>
                                            <a href="javascript:" onclick="quantity_more(this);">+</a>
                                    </div>';
                                    echo '<span class="palette-turquoise icon_quantity">1</span>';
                                }
                                echo '</div>';
                                echo '</div>';
                            } else if ($dataItem->type == 'checkbox') {
                                echo '<div class="col-md-12">';
                                echo '<p>
                                        <label>' . $dataItem->title . '</label>
                                        <br/>
                                        <input type="checkbox"  data-prodid="' . $prodID . '" ' . $itemRequired . ' data-toggle="switch" ' . $checkedCb . ' data-price="' . $dataItem->price . '"  data-title="' . $dataItem->title . '"  />
                                </p>
                                ';
                                echo '</div>';
                            } else {
                                echo '<div class="col-md-12">';
                                echo '<div class="form-group">';
                                echo '<label>' . $dataItem->title . '</label>
                                       <input type="text" class="form-control" ' . $itemRequired . '  data-title="' . $dataItem->title . '"  />                                
                                ';
                                echo '</div>';
                                echo '</div>';
                            }
                        }
                    }
                }

                echo '		</div>';
                echo '	</div>';
                echo '<div class="errorMsg alert alert-danger">' . $settings->errorMessage . '</div>';
                echo '<p style="margin-top: 28px;" class="text-center">';
                if (($settings->save_to_cart) && ($i == count($steps) - 1)) {
                    echo '<a href="javascript:" id="btnOrder" class="btn btn-wide btn-primary btn-next">' . $settings->last_btn . '</a>';
                } else {
                    echo '<a href="javascript:" onclick="nextStep();" class="btn btn-wide btn-primary btn-next">' . $settings->btn_step . '</a>';
                }
                if ($i > 0) {
                    echo '<br/><a href="javascript:" onclick="previousStep();" class="linkPrevious">' . $settings->previous_step . '</a>';
                }
                echo '</p>';

                echo '</div>';
                $i++;
            }
            ?>



            <div class="genSlide" id="finalSlide">
                <h2 class="stepTitle"><?php echo $settings->last_title; ?></h2>
                <div class="genContent">
                    <div class="genContentSlide active">
                        <p>
<?php echo $settings->last_text; ?>
                            <br/>
                        <h3 id="finalPrice"></h3>
                        </p>
                        <?php
                        if ($settings->gravityFormID > 0) {
                            gravity_form($settings->gravityFormID, $display_title = false, $display_description = true, $display_inactive = false, $field_values = null, $ajax = true);
                        } else {
                            foreach ($fields as $field) {
                                echo '<div class="form-group">';
                                $placeholder = "";
                                $disp = '';
                                $dispLabel = 'block';
                                if ($field->visibility == 'toggle') {
                                    $disp = 'toggle';
                                    $placeholder = "";
                                } else {
                                    $dispLabel = 'none';
                                    $placeholder = $field->label;
                                    if ($field->isRequired) {
                                        $req = "true";
                                    }
                                }
                                echo '<label for="field_' . $field->id . '" style="display: ' . $dispLabel . '">' . $field->label . '</label>';
                                if ($field->visibility == 'toggle') {
                                    echo '<input  id="field_' . $field->id . '_cb"  type="checkbox" data-toggle="switch"  onchange="toggleField(' . $field->id . ')" /><br/>';
                                }
                                $req = "false";
                                $emailField = '';
                                if ($field->id == 1) {
                                    $emailField = 'emailField';
                                }

                                if ($field->typefield == 'textarea') {
                                    echo '<textarea id="field_' . $field->id . '" data-required="' . $req . '" class="form-control ' . $disp . '" placeholder="' . $placeholder . '"></textarea>';
                                } else {
                                    echo '<input type="text" id="field_' . $field->id . '" data-required="' . $req . '" placeholder="' . $placeholder . '" class="form-control ' . $emailField . ' ' . $disp . '"/>';
                                }
                                echo '</div>';
                            }
                            ?>
                            <p>
                                <a href="javascript:" id="btnOrder" class="btn btn-wide btn-primary"><?php echo $settings->last_btn; ?></a>
                            </p>
                            <?php
                        }
                        ?>                       

                    </div>
                </div>

            </div>
            <!-- /genSlide -->


        </div>
        <!-- /mainPanel -->

    </div>
    <!-- /wpe panel -->

</div>